//execute clientside Movement Input Detection
exec("./moveInputRelay.cs");
exec("./Hata_Crosshair.gui");

//Third Person Crosshair
function clientCmdHataCrosshair(%enable) //Relay Gui from server to client
{
	if(%enable && !PlayGui.HasNewCrosshair) //if enabling, and Crosshair is off
	{
		PlayGui.add(Hata_Crosshair); //show Aim Reticle
		PlayGui.hasNewCrosshair = true; //note Crosshair on
	}
	else if(!%enable && PlayGui.HasNewCrosshair) //if disabling, and Crosshair is on
	{
		PlayGui.remove(Hata_Crosshair); //hide Aim Reticle
		PlayGui.hasNewCrosshair = false; //note Crosshair off
	}
}

package ToggleFirstPerson
{
	//Relay First Person Toggle
	function toggleFirstPerson(%val)
	{
		//Basically: when you hit TAB it calls this function twice. So I made it only flip the "$TPOn" bool on the second call.
		if($FPToggled) //if just toggled
		{
			$FPToggled = false; //set "just toggled" bool off
			$TPOn = !$TPOn; //toggle third person bool
			commandToServer('relayFirstPerson',$TPOn); //relay client "is third person?" to the server
		}
		else //otherwise
			$FPToggled = true; //set "just toggled" bool on
		Parent::toggleFirstPerson(%val); //Parent default function
	}
};activatePackage(ToggleFirstPerson);